#991 Awkward positioning and scrolling in the message window

None
closed-plugin-bug
nobody
v1.22
5
2013-09-05
2013-08-28
V5234647
No

geany 1.22 (built on Jan 11 2013 with GTK 2.24.14, GLib 2.34.3) using Mageia 3

Scrolling in the message window has changed for the worse from previous versions. Now requires enlargement of window before the end of the message(s) can be accessed. This is particularly aggravating after a "search files" or compile when the window must be expanded almost to the height of the source window before all the messages can seen. Much better to immediately position the messages so the the tail can be seen at once.

Related

Bugs: #991

Discussion

  • Lex Trotman

    Lex Trotman - 2013-08-29

    What has changed? As far as I remember nothing major changed in that area in 1.22.

    The window showing find in files results remains at the top.

    The ordering of output from find in files is indeterminate, so there is not a "correct" end to position the output, the tail is no more likely to be what you are looking for than the top.

    On the other hand compiler messages remain at the tail. I find that wrong, I want to fix the first few bugs, not the stupid consequential problems, but thats another story.

     
  • Anonymous - 2013-08-29

    Do you have the Scope plugin active by any chance?

     
  • V5234647

    V5234647 - 2013-08-29

    Perhaps I skipped some versions.

    I have just upgraded Geany to 1.23.1, from Mageia Cauldron. The message
    window problem remains. Let me explain more clearly. There are six tabs
    (I included Debugger) arranged vertically. If the window cannot display
    them all, the lower part of the slider bar is inaccessible until the
    window is expanded to show all the tabs. After expansion, dropping the
    slider to the bottom displays the last entry. However, reducing the
    height again causes the slider button to disappear together with the
    last message. To display the last entry, one must awkwardly both expand
    the window and move the slider, perhaps several times. Earlier versions
    of Geany anchored the last entry at the bottom of the window, so that
    expansion was always upwards, with a minimum sized window. The preferred
    action would be like a console, showing entries chronologically with the
    latest entry at the bottom, with the ability to scroll up if necessary.

    On 28/08/13 09:09 PM, Lex Trotman wrote:

    What has changed? As far as I remember nothing major changed in that
    area in 1.22.

    The window showing find in files results remains at the top.

    The ordering of output from find in files is indeterminate, so there
    is not a "correct" end to position the output, the tail is no more
    likely to be what you are looking for than the top.

    On the other hand compiler messages remain at the tail. I find that
    wrong, I want to fix the first few bugs, not the stupid consequential
    problems, but thats another story.


    [bugs:#991] http://sourceforge.net/p/geany/bugs/991/ Awkward
    positioning and scrolling in the message window

    Status: open
    Created: Wed Aug 28, 2013 01:54 PM UTC by V5234647
    Last Updated: Wed Aug 28, 2013 01:54 PM UTC
    Owner: nobody

    geany 1.22 (built on Jan 11 2013 with GTK 2.24.14, GLib 2.34.3) using
    Mageia 3

    Scrolling in the message window has changed for the worse from
    previous versions. Now requires enlargement of window before the end
    of the message(s) can be accessed. This is particularly aggravating
    after a "search files" or compile when the window must be expanded
    almost to the height of the source window before all the messages can
    seen. Much better to immediately position the messages so the the tail
    can be seen at once.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/geany/bugs/991/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #991

  • Lex Trotman

    Lex Trotman - 2013-08-30

    As Matthew hinted, does it work if you do not use the scope plugin?

    Scope is known to cause sizing issues as it ignores resize requests.

     
  • V5234647

    V5234647 - 2013-08-30

    I replied to Matthew's question by "No [I don't use Scope], I installed
    Debugger but use Kdbg instead, out of habit. Is Scope better, you
    think?". Happily, removing the Debugger plugin has resolved the problem.

    On 29/08/13 08:29 PM, Lex Trotman wrote:

    As Matthew hinted, does it work if you do not use the scope plugin?

    Scope is known to cause sizing issues as it ignores resize requests.


    [bugs:#991] http://sourceforge.net/p/geany/bugs/991/ Awkward
    positioning and scrolling in the message window

    Status: open
    Created: Wed Aug 28, 2013 01:54 PM UTC by V5234647
    Last Updated: Thu Aug 29, 2013 02:54 AM UTC
    Owner: nobody

    geany 1.22 (built on Jan 11 2013 with GTK 2.24.14, GLib 2.34.3) using
    Mageia 3

    Scrolling in the message window has changed for the worse from
    previous versions. Now requires enlargement of window before the end
    of the message(s) can be accessed. This is particularly aggravating
    after a "search files" or compile when the window must be expanded
    almost to the height of the source window before all the messages can
    seen. Much better to immediately position the messages so the the tail
    can be seen at once.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/geany/bugs/991/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #991

  • Anonymous - 2013-08-31

    I think sourceforge screwed up your message, I didn't get it here on SF or in email. So just to be sure, once the the Debugger plugin was disabled, the problem described in the report goes away?

    Possibly related:
    https://sourceforge.net/p/geany/bugs/988/

     
  • V5234647

    V5234647 - 2013-08-31

    Matthew, I screwed up the message by simply replying to the email generated by SourceForge using a different sender address, so it was rejected and wasn't posted. My ignorance.

    Removing the Debugger plugin did restore correct operation. The problem is probably due to the Debugger using a fixed size form that interferes with sizing and scrolling in the other tabs.

    Andrey V. reported a similar problem and fix in Bug 988, as you suggested.

     
  • V5234647

    V5234647 - 2013-09-04

    Since removing the Debugger plugin restored correct operation, this bug should now be closed.

     
  • Anonymous - 2013-09-05
    • labels: --> debugger message window scrolling position
    • status: open --> closed-plugin-bug
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks